libmath-prime-util-perl (0.73-2build1) jammy; urgency=medium

  * No-change rebuild for the perl update.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 06 Feb 2022 13:45:05 +0100

libmath-prime-util-perl (0.73-2) unstable; urgency=medium

  [ Clément Hermann ]
  * Use system build dependencies instead of embedded modules in inc/
  * Add Clément Hermann to Uploaders

  [ gregor herrmann ]
  * debian/control: update Build-Depends for cross builds.
  * debian/watch: use uscan version 4.
  * Update 'DEB_BUILD_MAINT_OPTIONS = hardening=+bindnow' to '=+all'.

  [ Debian Janitor ]
  * Bump debhelper from old 10 to 12.
  * Set debhelper-compat version in Build-Depends.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Remove obsolete fields Contact, Name from debian/upstream/metadata
    (already present in machine-readable debian/copyright).
  * Bump debhelper from old 12 to 13.

  [ gregor herrmann ]
  * Use cross-build-compatible form of generating ARCHLIB from
    $Config{vendorarch}.
  * Update years of packaging copyright.
  * Declare compliance with Debian Policy 4.6.0.
  * Set Rules-Requires-Root: no.
  * Drop unneeded version constraints and alternatives.
  * Annotate test-only build dependencies with <!nocheck>.

 -- gregor herrmann <gregoa@debian.org>  Fri, 05 Nov 2021 18:29:20 +0100

libmath-prime-util-perl (0.73-1) unstable; urgency=medium

  * Import upstream version 0.73.

 -- gregor herrmann <gregoa@debian.org>  Sat, 17 Nov 2018 19:37:41 +0100

libmath-prime-util-perl (0.71-1) unstable; urgency=medium

  [ Salvatore Bonaccorso ]
  * Update Vcs-* headers for switch to salsa.debian.org

  [ Laurent Baillet ]
  * fix lintian wrong-path-for-interpreter error

  [ gregor herrmann ]
  * Import upstream version 0.71.
  * Update years of upstream copyright.
  * Add newer libmath-prime-util-gmp-perl to Recommends.
  * Declare compliance with Debian Policy 4.2.1.

 -- gregor herrmann <gregoa@debian.org>  Mon, 10 Sep 2018 00:50:26 +0200

libmath-prime-util-perl (0.70-1) unstable; urgency=medium

  * Import upstream version 0.70.
  * Update years of packaging copyright.
  * Update (build) dependencies.
  * Declare compliance with Debian Policy 4.1.3.
  * Bump debhelper compatibility level to 10.

 -- gregor herrmann <gregoa@debian.org>  Wed, 03 Jan 2018 19:56:34 +0100

libmath-prime-util-perl (0.69-1) unstable; urgency=medium

  * Import upstream version 0.69.
  * Update (build) dependencies.

 -- gregor herrmann <gregoa@debian.org>  Sat, 11 Nov 2017 23:03:32 +0100

libmath-prime-util-perl (0.68-1) unstable; urgency=medium

  * Import upstream version 0.68.
  * Add a note about API changes from upstream Changes to debian/NEWS.
  * Declare compliance with Debian Policy 4.1.1.

 -- gregor herrmann <gregoa@debian.org>  Sun, 05 Nov 2017 18:33:14 +0100

libmath-prime-util-perl (0.65-1) unstable; urgency=medium

  * Import upstream version 0.65.
  * Update years of upstream and packaging copyright.
  * Add API changes to debian/NEWS.
  * Update (build) dependencies.
  * Declare compliance with Debian Policy 4.0.0.

 -- gregor herrmann <gregoa@debian.org>  Fri, 04 Aug 2017 17:56:35 -0400

libmath-prime-util-perl (0.60-1) unstable; urgency=medium

  [ gregor herrmann ]
  * Remove Daniel Kahn Gillmor from Uploaders. Thanks for your work!

  [ Salvatore Bonaccorso ]
  * Import upstream version 0.60
  * Bump versioned (build-)dependency for Math::Prime::Util::GMP.
    Bump versioned Build-Depends and Depends on libmath-prime-util-gmp-perl
    to (>= 0.41).

 -- Salvatore Bonaccorso <carnil@debian.org>  Wed, 12 Oct 2016 12:11:11 +0200

libmath-prime-util-perl (0.59-1) unstable; urgency=medium

  * Import upstream version 0.59
  * Tighten required version for Math::Prime::Util::GMP.
    Make (build-)dependency on libmath-prime-util-gmp-perl to (>= 0.40).

 -- Salvatore Bonaccorso <carnil@debian.org>  Sun, 14 Aug 2016 08:32:58 +0200

libmath-prime-util-perl (0.58-1) unstable; urgency=medium

  [ Salvatore Bonaccorso ]
  * debian/control: Use HTTPS transport protocol for Vcs-Git URI

  [ gregor herrmann ]
  * debian/copyright: change Copyright-Format 1.0 URL to HTTPS.

  [ Salvatore Bonaccorso ]
  * Import upstream version 0.58
  * Document API changes from upstream in NEWS.Debian file
  * Declare compliance with Debian policy 3.9.8
  * debian/rules: Enable the bindnow hardening flag

 -- Salvatore Bonaccorso <carnil@debian.org>  Sun, 22 May 2016 11:41:33 +0200

libmath-prime-util-perl (0.57-1) unstable; urgency=medium

  * Import upstream version 0.57
  * Update copyright years for upstream files
  * Update copyright years for debian/* packaging files

 -- Salvatore Bonaccorso <carnil@debian.org>  Mon, 04 Jan 2016 18:28:05 +0100

libmath-prime-util-perl (0.56-1) unstable; urgency=medium

  * Import upstream version 0.56

 -- Salvatore Bonaccorso <carnil@debian.org>  Mon, 14 Dec 2015 20:52:33 +0100

libmath-prime-util-perl (0.55-1) unstable; urgency=medium

  * Import upstream version 0.55

 -- Salvatore Bonaccorso <carnil@debian.org>  Tue, 20 Oct 2015 07:09:16 +0200

libmath-prime-util-perl (0.54-1) unstable; urgency=medium

  * Import upstream version 0.54

 -- Salvatore Bonaccorso <carnil@debian.org>  Sun, 18 Oct 2015 15:57:47 +0200

libmath-prime-util-perl (0.53-1) unstable; urgency=medium

  * Import upstream version 0.53

 -- Salvatore Bonaccorso <carnil@debian.org>  Mon, 07 Sep 2015 19:25:17 +0200

libmath-prime-util-perl (0.52-1) unstable; urgency=medium

  * Import upstream version 0.52
  * Update copyright years for debian/* packaging files

 -- Salvatore Bonaccorso <carnil@debian.org>  Mon, 10 Aug 2015 21:32:30 +0200

libmath-prime-util-perl (0.51-1) unstable; urgency=medium

  * Import upstream version 0.51

 -- gregor herrmann <gregoa@debian.org>  Sat, 27 Jun 2015 19:18:18 +0200

libmath-prime-util-perl (0.50-1) unstable; urgency=medium

  * Team upload.

  [ Partha Pratim Mukherjee ]
  * Import upstream version 0.50

  [ gregor herrmann ]
  * Update years of upstream and packaging copyright.

 -- Partha Pratim Mukherjee <ppm.floss@gmail.com>  Thu, 21 May 2015 23:31:31 +0530

libmath-prime-util-perl (0.46-1) unstable; urgency=medium

  * Import upstream version 0.46
  * Drop patches, one was from upstream, the other got merged now.
  * Add a note about an API change to debian/NEWS.

 -- gregor herrmann <gregoa@debian.org>  Wed, 22 Oct 2014 19:48:42 +0200

libmath-prime-util-perl (0.45-1) unstable; urgency=medium

  [ Salvatore Bonaccorso ]
  * Add debian/upstream/metadata
  * Imported upstream version 0.45
  * Add 0001-Put-Carp-use-in-correct-package.patch patch from upstream
  * Add copyright stanza for included Devel::CheckLib copy

  [ gregor herrmann ]
  * Mark package as autopkgtest-able.
  * Move libmath-prime-util-gmp-perl from Recommends to Depends as
    intended by upstream. Add it to Build-Depends as well, as it's
    optionally used during tests.
  * Add a patch to fix a typo in the POD formatting syntax.
  * Declare compliance with Debian Policy 3.9.6.

 -- gregor herrmann <gregoa@debian.org>  Mon, 13 Oct 2014 21:49:27 +0200

libmath-prime-util-perl (0.43-1) unstable; urgency=medium

  * Update Vcs-Browser URL to cgit web frontend
  * Imported Upstream version 0.43
  * Switch alternative Recommends for Digest::SHA.
    Switch alternative Recommends for Digest::SHA to perl (>= 5.19.9) |
    libdigest-sha-perl (>= 5.87) as unstable now has Perl 5.20.
  * Make Recommends on libmath-prime-util-gmp-perl unversioned
  * Wrap and sort fields in debian/control

 -- Salvatore Bonaccorso <carnil@debian.org>  Wed, 27 Aug 2014 13:03:03 +0200

libmath-prime-util-perl (0.42-2) unstable; urgency=medium

  * Use $Config{vendorarch} to get library path in debian/rules.

 -- gregor herrmann <gregoa@debian.org>  Mon, 11 Aug 2014 19:10:16 +0200

libmath-prime-util-perl (0.42-1) unstable; urgency=medium

  * New upstream release.
  * Make Recommends on libmath-prime-util-gmp-perl versioned.

 -- gregor herrmann <gregoa@debian.org>  Thu, 19 Jun 2014 17:29:24 +0200

libmath-prime-util-perl (0.41-1) unstable; urgency=medium

  * Imported Upstream version 0.41
  * Make Recommends on libmath-prime-util-gmp-perl unversioned

 -- Salvatore Bonaccorso <carnil@debian.org>  Sun, 18 May 2014 21:06:19 +0200

libmath-prime-util-perl (0.40-1) unstable; urgency=medium

  * New upstream release.
  * Add Digest::SHA to Recommends.

 -- gregor herrmann <gregoa@debian.org>  Tue, 13 May 2014 21:12:13 +0200

libmath-prime-util-perl (0.39-1) unstable; urgency=medium

  [ gregor herrmann ]
  * Strip trailing slash from metacpan URLs.

  [ Salvatore Bonaccorso ]
  * Imported Upstream version 0.39

 -- Salvatore Bonaccorso <carnil@debian.org>  Wed, 05 Mar 2014 22:54:54 +0100

libmath-prime-util-perl (0.37-1) unstable; urgency=medium

  * New upstream release.
  * Update years of packaging copyright.

 -- gregor herrmann <gregoa@debian.org>  Sun, 26 Jan 2014 16:24:58 +0100

libmath-prime-util-perl (0.36-1) unstable; urgency=medium

  * Imported Upstream version 0.36
  * Update copyright years for upstream files
  * Add copyright stanza for added ppport.h
  * Update copyright years for debian/* packaging files
  * Add NEWS entry for 0.36 to document API Changes
  * Drop spelling.patch patch (applied upstream)

 -- Salvatore Bonaccorso <carnil@debian.org>  Tue, 14 Jan 2014 21:34:34 +0100

libmath-prime-util-perl (0.35-1) unstable; urgency=medium

  * New upstream release.
  * Add debian/NEWS, mentioning API changes.
  * Make Recommends on libmath-prime-util-gmp-perl versioned.
  * Lowercase short description.
  * Declare compliance with Debian Policy 3.9.5.
  * Add a patch to fix a spelling mistake.

 -- gregor herrmann <gregoa@debian.org>  Sat, 21 Dec 2013 22:28:38 +0100

libmath-prime-util-perl (0.29-1) unstable; urgency=low

  * Imported Upstream version 0.29
  * Drop 0001-ranged-moebius-was-depending-on-char-being-signed.-F.patch.
    Patch is applied upstream.

 -- Salvatore Bonaccorso <carnil@debian.org>  Sat, 01 Jun 2013 08:04:20 +0200

libmath-prime-util-perl (0.28-1) unstable; urgency=low

  * Imported Upstream version 0.28
  * Add Build-Depends on libtest-warn-perl
  * Drop fix-spelling-error-in-manpage.patch.
    Patch was applied upstream.
  * Add 0001-ranged-moebius-was-depending-on-char-being-signed.-F.patch.
    Add upstream patch to fix FTBFS on various architectures. Ranged moebius
    was depending on char being signed.
    Thanks to Dana Jacobsen <dana@acm.org> (Closes: #705909)

 -- Salvatore Bonaccorso <carnil@debian.org>  Fri, 24 May 2013 22:17:14 +0200

libmath-prime-util-perl (0.26-1) unstable; urgency=low

  * Imported Upstream version 0.26
  * Add fix-spelling-error-in-manpage.patch patch.
    Fix spelling error in Math::Prime::Util manpage.

 -- Salvatore Bonaccorso <carnil@debian.org>  Mon, 22 Apr 2013 07:43:03 +0200

libmath-prime-util-perl (0.25-1) unstable; urgency=low

  * Imported Upstream version 0.25
  * Update copyright years for upstream files
  * Add myself to Uploaders and debian/copyright
  * Drop explicit (build) depends on libmath-bigint-perl.
    Version of Math::BigInt 1.88 is in Perl core since 5.8.9.

 -- Salvatore Bonaccorso <carnil@debian.org>  Thu, 21 Mar 2013 21:28:06 +0100

libmath-prime-util-perl (0.22-1) unstable; urgency=low

  * New upstream releases 0.21, 0.22.
  * Add (build) dependency on libbytes-random-secure-perl.
  * Remove spelling patch, applied upstream.

 -- gregor herrmann <gregoa@debian.org>  Mon, 18 Mar 2013 23:13:28 +0100

libmath-prime-util-perl (0.20-1) unstable; urgency=low

  [ Salvatore Bonaccorso ]
  * Change Vcs-Git to canonical URI (git://anonscm.debian.org)
  * Change search.cpan.org based URIs to metacpan.org based URIs

  [ gregor herrmann ]
  * New upstream release.
  * Don't install README anymore.
  * debian/copyright: add years of upstream copyright.
  * Use debhelper 9.20120312 to get all hardening flags.
  * Add libmath-mpfr-perl to Recommends.
  * Add a patch to fix a spelling mistake.
  * Add /me to Uploaders.

 -- gregor herrmann <gregoa@debian.org>  Sun, 17 Feb 2013 19:32:20 +0100

libmath-prime-util-perl (0.17-1) unstable; urgency=low

  * Initial Release into Debian. (Closes: #696305)

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Thu, 20 Dec 2012 20:19:05 -0500
